/*
 * Copyright (C) 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media.quality;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class SoundProfile implements android.os.Parcelable {

SoundProfile() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getInputId() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getName() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getPackageName() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.PersistableBundle getParameters() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getProfileId() { throw new RuntimeException("Stub!"); }

public int getProfileType() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.media.quality.SoundProfile> CREATOR;
static { CREATOR = null; }

public static final int ERROR_DUPLICATE = 2; // 0x2

public static final int ERROR_INVALID_ARGUMENT = 3; // 0x3

public static final int ERROR_NOT_ALLOWLISTED = 4; // 0x4

public static final int ERROR_NO_PERMISSION = 1; // 0x1

public static final int ERROR_UNKNOWN = 0; // 0x0

public static final int TYPE_APPLICATION = 2; // 0x2

public static final int TYPE_SYSTEM = 1; // 0x1
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(@android.annotation.NonNull android.media.quality.SoundProfile p) { throw new RuntimeException("Stub!"); }

public Builder(@android.annotation.NonNull java.lang.String name) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.quality.SoundProfile build() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.quality.SoundProfile.Builder setParameters(@android.annotation.NonNull android.os.PersistableBundle params) { throw new RuntimeException("Stub!"); }
}

}

