/*
 * Copyright (C) 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.security.keystore;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class KeyStoreManager {

KeyStoreManager() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<java.security.cert.X509Certificate> getGrantedCertificateChainFromId(long id) throws android.security.keystore.KeyPermanentlyInvalidatedException, java.security.UnrecoverableKeyException { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.security.Key getGrantedKeyFromId(long id) throws android.security.keystore.KeyPermanentlyInvalidatedException, java.security.UnrecoverableKeyException { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.security.KeyPair getGrantedKeyPairFromId(long id) throws android.security.keystore.KeyPermanentlyInvalidatedException, java.security.UnrecoverableKeyException { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public byte[] getSupplementaryAttestationInfo(int tag) throws android.security.KeyStoreException { throw new RuntimeException("Stub!"); }

public long grantKeyAccess(@android.annotation.NonNull java.lang.String alias, int uid) throws android.security.KeyStoreException, java.security.UnrecoverableKeyException { throw new RuntimeException("Stub!"); }

public void revokeKeyAccess(@android.annotation.NonNull java.lang.String alias, int uid) throws android.security.KeyStoreException, java.security.UnrecoverableKeyException { throw new RuntimeException("Stub!"); }

public static final int MODULE_HASH = -1879047468; // 0x900002d4
}

