/*
 * Copyright (C) 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.service.settings.preferences;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class SettingsPreferenceMetadata implements android.os.Parcelable {

SettingsPreferenceMetadata() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.Bundle getExtras() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getKey() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.content.Intent getLaunchIntent() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<java.lang.String> getReadPermissions() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getScreenKey() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getSummary() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getTitle() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<java.lang.String> getWritePermissions() { throw new RuntimeException("Stub!"); }

public int getWriteSensitivity() { throw new RuntimeException("Stub!"); }

public boolean isAvailable() { throw new RuntimeException("Stub!"); }

public boolean isEnabled() { throw new RuntimeException("Stub!"); }

public boolean isRestricted() { throw new RuntimeException("Stub!"); }

public boolean isWritable() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.service.settings.preferences.SettingsPreferenceMetadata> CREATOR;
static { CREATOR = null; }

public static final int DEEPLINK_ONLY = 2; // 0x2

public static final int EXPECT_POST_CONFIRMATION = 1; // 0x1

public static final int NO_DIRECT_ACCESS = 3; // 0x3

public static final int NO_SENSITIVITY = 0; // 0x0
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(@android.annotation.NonNull java.lang.String screenKey, @android.annotation.NonNull java.lang.String key) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.settings.preferences.SettingsPreferenceMetadata build() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.settings.preferences.SettingsPreferenceMetadata.Builder setAvailable(boolean available) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.settings.preferences.SettingsPreferenceMetadata.Builder setEnabled(boolean enabled) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.settings.preferences.SettingsPreferenceMetadata.Builder setExtras(@android.annotation.NonNull android.os.Bundle extras) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.settings.preferences.SettingsPreferenceMetadata.Builder setLaunchIntent(@android.annotation.Nullable android.content.Intent launchIntent) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.settings.preferences.SettingsPreferenceMetadata.Builder setReadPermissions(@android.annotation.NonNull java.util.List<java.lang.String> readPermissions) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.settings.preferences.SettingsPreferenceMetadata.Builder setRestricted(boolean restricted) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.settings.preferences.SettingsPreferenceMetadata.Builder setSummary(@android.annotation.Nullable java.lang.String summary) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.settings.preferences.SettingsPreferenceMetadata.Builder setTitle(@android.annotation.Nullable java.lang.String title) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.settings.preferences.SettingsPreferenceMetadata.Builder setWritable(boolean writable) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.settings.preferences.SettingsPreferenceMetadata.Builder setWritePermissions(@android.annotation.NonNull java.util.List<java.lang.String> writePermissions) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.settings.preferences.SettingsPreferenceMetadata.Builder setWriteSensitivity(int sensitivity) { throw new RuntimeException("Stub!"); }
}

}

