/*
 * Copyright (C) 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.service.settings.preferences;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class SettingsPreferenceValue implements android.os.Parcelable {

SettingsPreferenceValue() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public boolean getBooleanValue() { throw new RuntimeException("Stub!"); }

public double getDoubleValue() { throw new RuntimeException("Stub!"); }

public int getIntValue() { throw new RuntimeException("Stub!"); }

public long getLongValue() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getStringValue() { throw new RuntimeException("Stub!"); }

public int getType() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.service.settings.preferences.SettingsPreferenceValue> CREATOR;
static { CREATOR = null; }

public static final int TYPE_BOOLEAN = 0; // 0x0

public static final int TYPE_DOUBLE = 2; // 0x2

public static final int TYPE_INT = 4; // 0x4

public static final int TYPE_LONG = 1; // 0x1

public static final int TYPE_STRING = 3; // 0x3
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(int type) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.settings.preferences.SettingsPreferenceValue build() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.settings.preferences.SettingsPreferenceValue.Builder setBooleanValue(boolean booleanValue) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.settings.preferences.SettingsPreferenceValue.Builder setDoubleValue(double doubleValue) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.settings.preferences.SettingsPreferenceValue.Builder setIntValue(int intValue) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.settings.preferences.SettingsPreferenceValue.Builder setLongValue(long longValue) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.settings.preferences.SettingsPreferenceValue.Builder setStringValue(@android.annotation.Nullable java.lang.String stringValue) { throw new RuntimeException("Stub!"); }
}

}

